Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# COW_Collection_Default_Factory< PROXY > Class Template Reference

List of all members.

## Public Types
typedef ACE_TYPENAME TAO_ESF_Proxy_List< PROXY >::Iterator | PROXY_ITER
typedef TAO_ESF_Copy_On_Write< PROXY, TAO_ESF_Proxy_List< PROXY >, PROXY_ITER, ACE_SYNCH > | COLLECTION
typedef TAO_ESF_Proxy_Collection< PROXY > | BASE_COLLECTION
## Public Methods
void | create (BASE_COLLECTION *&collection ACE_ENV_ARG_DECL)

### template<class PROXY>
class COW_Collection_Default_Factory< PROXY >

## Member Typedef Documentation

template<class PROXY>
typedef TAO_ESF_Proxy_Collection<PROXY> COW_Collection_Default_Factory< PROXY >::BASE_COLLECTION

template<class PROXY>
typedef TAO_ESF_Copy_On_Write<PROXY, TAO_ESF_Proxy_List<PROXY>,PROXY_ITER, ACE_SYNCH> COW_Collection_Default_Factory< PROXY >::COLLECTION

template<class PROXY>
typedef ACE_TYPENAME TAO_ESF_Proxy_List<PROXY>::Iterator COW_Collection_Default_Factory< PROXY >::PROXY_ITER

## Member Function Documentation

template<class PROXY>
void COW_Collection_Default_Factory< PROXY >::create | ( | BASE_COLLECTION *&collection | ACE_ENV_ARG_DECL | ) | `[inline]`

The documentation for this class was generated from the following file:

- Default_Factory.cpp